"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _lodash = require("lodash");

var _router = require("@reach/router");

var _moment = _interopRequireDefault(require("moment"));

var _gatsbyImage = _interopRequireDefault(require("gatsby-image"));

var _Box = _interopRequireDefault(require("@material-ui/core/Box"));

var _Container = _interopRequireDefault(require("@material-ui/core/Container"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _Grid = _interopRequireDefault(require("@material-ui/core/Grid"));

var _Today = _interopRequireDefault(require("@material-ui/icons/Today"));

var _breadcrumbs = _interopRequireDefault(require("q3-ui/lib/breadcrumbs"));

var _wrapper = _interopRequireDefault(require("q3-ui/lib/wrapper"));

var _pagination = _interopRequireDefault(require("q3-ui/lib/pagination"));

var _RichText = _interopRequireDefault(require("./RichText"));

var _ShareButton = _interopRequireDefault(require("./ShareButton"));

var _SearchEngine = _interopRequireDefault(require("./SearchEngine"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const BlogTemplateSharePublication = ({
  publishedOn
}) => /*#__PURE__*/_react.default.createElement(_Grid.default, {
  container: true,
  spacing: 1
}, publishedOn && /*#__PURE__*/_react.default.createElement(_Grid.default, {
  item: true
}, /*#__PURE__*/_react.default.createElement(_Today.default, null), " ", _moment.default.format('LL')), /*#__PURE__*/_react.default.createElement(_Grid.default, {
  item: true
}, /*#__PURE__*/_react.default.createElement(_Grid.default, {
  container: true
}, /*#__PURE__*/_react.default.createElement(_ShareButton.default, {
  platform: "Facebook"
}), /*#__PURE__*/_react.default.createElement(_ShareButton.default, {
  platform: "Twitter"
}), /*#__PURE__*/_react.default.createElement(_ShareButton.default, {
  platform: "LinkedIn"
}), /*#__PURE__*/_react.default.createElement(_ShareButton.default, {
  platform: "Email"
}))));

BlogTemplateSharePublication.propTypes = {
  publishedOn: _propTypes.default.string
};
BlogTemplateSharePublication.defaultProps = {
  publishedOn: null
};

const BlogTemplate = ({
  current,
  prev,
  next
}) => /*#__PURE__*/_react.default.createElement(_Box.default, {
  my: 2
}, /*#__PURE__*/_react.default.createElement(_SearchEngine.default, {
  title: current.title,
  description: (0, _lodash.get)(current, 'description.description')
}), /*#__PURE__*/_react.default.createElement(_wrapper.default, {
  backgroundColor: "#FFF"
}, /*#__PURE__*/_react.default.createElement(_Container.default, {
  component: "article",
  maxWidth: "md"
}, /*#__PURE__*/_react.default.createElement(_breadcrumbs.default, {
  root: "/",
  mode: "light"
}), /*#__PURE__*/_react.default.createElement(_Typography.default, {
  variant: "h1",
  gutterBottom: true
}, current.title), current.subtitle && /*#__PURE__*/_react.default.createElement(_Box.default, {
  mb: 3
}, /*#__PURE__*/_react.default.createElement(_Typography.default, {
  variant: "body2",
  gutterBottom: true
}, current.subtitle)), /*#__PURE__*/_react.default.createElement(BlogTemplateSharePublication, {
  publishedOn: current.publishedOn
}), current.image && /*#__PURE__*/_react.default.createElement(_Box.default, {
  my: 3
}, /*#__PURE__*/_react.default.createElement(_gatsbyImage.default, {
  style: {
    maxWidth: '100%'
  },
  fixed: current.image.fixed,
  alt: current.image.title
})), /*#__PURE__*/_react.default.createElement(_RichText.default, {
  json: (0, _lodash.get)(current, 'body.json')
}), /*#__PURE__*/_react.default.createElement(_pagination.default, {
  nextDescription: (0, _lodash.get)(next, 'title'),
  prevDescription: (0, _lodash.get)(prev, 'title'),
  onNext: () => (0, _router.navigate)(next.to),
  onPrev: () => (0, _router.navigate)(prev.to)
}))));

BlogTemplate.propTypes = {
  current: _propTypes.default.shape({
    title: _propTypes.default.string,
    subtitle: _propTypes.default.string,
    publishedOn: _propTypes.default.string,
    image: _propTypes.default.object
  }).isRequired,
  next: _propTypes.default.shape({
    to: _propTypes.default.string
  }).isRequired,
  prev: _propTypes.default.shape({
    to: _propTypes.default.string
  }).isRequired
};
var _default = BlogTemplate;
exports.default = _default;