"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Grid = _interopRequireDefault(require("@material-ui/core/Grid"));

var _q3UiHelpers = require("q3-ui-helpers");

var _reactShare = require("react-share");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const EMAIL = 'Email';
const FACEBOOK = 'Facebook';
const LINKEDIN = 'LinkedIn';
const TWITTER = 'Twitter';
const {
  isBrowserReady
} = _q3UiHelpers.browser;

const getPlatformByName = name => {
  switch (name) {
    case FACEBOOK:
      return {
        Button: _reactShare.FacebookShareButton,
        Icon: _reactShare.FacebookIcon
      };

    case EMAIL:
      return {
        Button: _reactShare.EmailShareButton,
        Icon: _reactShare.EmailIcon
      };

    case TWITTER:
      return {
        Button: _reactShare.TwitterShareButton,
        Icon: _reactShare.TwitterIcon
      };

    case LINKEDIN:
      return {
        Button: _reactShare.LinkedinShareButton,
        Icon: _reactShare.LinkedinIcon
      };

    default:
      return {
        Button: () => null,
        Icon: () => null
      };
  }
};

const ShareButton = ({
  platform
}) => {
  const [url, setUrl] = _react.default.useState();

  _react.default.useEffect(() => {
    if (isBrowserReady()) setUrl(window.location.href);
  }, []);

  const {
    Button,
    Icon
  } = getPlatformByName(platform);
  return url ? /*#__PURE__*/_react.default.createElement(_Grid.default, {
    item: true
  }, /*#__PURE__*/_react.default.createElement(Button, {
    url: url,
    style: {
      cursor: 'pointer'
    }
  }, /*#__PURE__*/_react.default.createElement(Icon, {
    size: 32,
    round: true
  }))) : null;
};

ShareButton.propTypes = {
  platform: _propTypes.default.oneOf([FACEBOOK, TWITTER, LINKEDIN, EMAIL]).isRequired
};
var _default = ShareButton;
exports.default = _default;