"use strict";

var _react = _interopRequireDefault(require("react"));

var _router = require("@reach/router");

var _withAuthenticate = _interopRequireDefault(require("../withAuthenticate"));

var _utils = require("../utils");

var _useSiteMetaData = _interopRequireDefault(require("../useSiteMetaData"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('@reach/router', () => ({
  useLocation: jest.fn()
}));
jest.mock('../useSiteMetaData');
jest.mock('../utils', () => ({
  authenticate: jest.fn()
}));

const runAuthenticate = () => {
  const Component = () => /*#__PURE__*/_react.default.createElement("div", null);

  const Instance = (0, _withAuthenticate.default)(Component);
  global.shallow( /*#__PURE__*/_react.default.createElement(Instance, null)).props().authenticate();
};

describe('withAuthenticate', () => {
  it('should redirect to default directory', () => {
    _useSiteMetaData.default.mockReturnValue({
      appDirectory: '/app'
    });

    runAuthenticate();
    expect(_utils.authenticate).toHaveBeenCalledWith(undefined, '/app');
  });
  it('should redirect to gatekeeper', () => {
    _router.useLocation.mockReturnValue({
      state: {
        gatekeeper: '/app/users'
      }
    });

    runAuthenticate();
    expect(_utils.authenticate).toHaveBeenCalledWith(undefined, '/app/users');
  });
});