"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _queryString = _interopRequireDefault(require("query-string"));

var _router = require("@reach/router");

var _lodash = require("lodash");

var _axios = _interopRequireDefault(require("axios"));

var _presets = require("q3-ui-forms/lib/presets");

var _builders = require("q3-ui-forms/lib/builders");

var _FormBoxContent = _interopRequireDefault(require("../components/FormBoxContent"));

var _FormBox = _interopRequireDefault(require("../components/FormBox"));

var _withAuthenticate = _interopRequireDefault(require("../components/withAuthenticate"));

var _withPublicTemplate = _interopRequireDefault(require("../components/withPublicTemplate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Verify = (0, _withPublicTemplate.default)((0, _withAuthenticate.default)(({
  authenticate,
  ...props
}) => {
  const {
    verificationCode,
    id,
    email
  } = _queryString.default.parse((0, _lodash.get)(props, 'location.search', ''), {
    decode: false
  });

  return /*#__PURE__*/_react.default.createElement(_FormBox.default, {
    renderBottom: /*#__PURE__*/_react.default.createElement(_builders.Form, {
      onSubmit: passwords => _axios.default.post('/verify', passwords).then(() => {
        if (!email) return (0, _router.navigate)('/');
        return authenticate({
          password: passwords.newPassword,
          email
        });
      }),
      initialValues: {
        id,
        verificationCode
      }
    }, values => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_builders.Field, {
      name: "id",
      type: "string",
      required: true,
      xl: 6,
      lg: 6
    }), /*#__PURE__*/_react.default.createElement(_builders.Field, {
      name: "verificationCode",
      type: "string",
      required: true,
      xl: 6,
      lg: 6
    }), /*#__PURE__*/_react.default.createElement(_presets.NewPasswordFields, values))),
    renderTop: /*#__PURE__*/_react.default.createElement(_FormBoxContent.default, {
      title: "verify",
      description: "verify"
    })
  });
}));
var _default = Verify;
exports.default = _default;